<!doctype html>
<html <?php language_attributes(); ?>>
<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	  
		<title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
		
	    <!-- Stylesheets -->
		<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="all" />
		
		<!-- Example Stylesheets To Write Your Own Styles - remove comments and you will see blue skin -->		
	    <!--<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/skin/blue/blue.css" type="text/css" media="all" />-->	
		
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>" />
		<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>" />				
		
		<?php if ( function_exists( 'ot_get_option' ) ) { ?>
		<!-- FAVICON -->
		<link rel="shortcut icon" href="<?php echo ot_get_option( 'favicon' ); ?>" />
		<?php } ?>
		
		<?php 
		if ( is_singular() ) 
		wp_enqueue_script( 'comment-reply' ); 
		
		wp_head(); 
		?>
						
</head>
<!--[if lt IE 7 ]> <body <?php body_class( 'ie6' ); ?>> <![endif]-->
<!--[if IE 7 ]>    <body <?php body_class( 'ie7' ); ?>> <![endif]-->
<!--[if IE 8 ]>    <body <?php body_class( 'ie8' ); ?>> <![endif]-->
<!--[if IE 9 ]>    <body <?php body_class( 'ie9' ); ?>> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <body <?php body_class(); ?>> <!--<![endif]-->

<!-- ============= HEADER STARTS HERE ============== -->
		<div id="header-wrapper">
				
		        <div id="header">
					<!-- WEBSITE LOGO -->
						<a href="<?php echo home_url(); ?>">
							<?php if ( function_exists( 'ot_get_option' ) ) { ?>
							<img src="<?php echo ot_get_option( 'header_logo_image'); ?>" alt="<?php bloginfo( 'name' ); ?>" class="logo" />
							<?php } ?>
						</a>												
												
						
						<img class="header-img" src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="<?php bloginfo( 'name' ); ?>" />		            
						
						<?php
						// this code is to check required plugin installation and show notice to user for installing those plugins.
						// So, no need to provide localization support here
						if( !function_exists( 'ot_get_option' ))
						{
							?>
							<div class="plugin-notice">
								<p class="plugin-alert"><strong>Important:</strong> You need to install <a href="http://wordpress.org/extend/plugins/option-tree/">Option Tree</a> plugin for this theme. Please read documentation for more help.</p>
							</div>                       	
							<?php
						}
						?>
						
				</div><!-- end of header div -->
				
				
                <!-- NAVIGATION BAR STARTS HERE -->
		        <div id="nav-wrap">
						<div class="inn-nav clearfix">
		                		
		                        <!-- MAIN NAVIGATION STARTS HERE -->
                                <?php 
										wp_nav_menu( array( 
										  				 'theme_location' => 'main-menu',
										  				 'container' => false,
										  				 'menu_class'=>'nav' 
					  									) 
					  		  						); 
								?>
								<!-- MAIN NAVIGATION ENDS HERE -->
		                        
								
		                        <!-- SOCIAL NAVIGATION -->
                                <?php 
										wp_nav_menu( array( 
										  				 'theme_location' => 'social-menu',
										  				 'container' => false,
										  				 'menu_class'=>'social-nav'
					  									) 
					  		  						); 
								?>
						</div>
				</div><!-- end of nav-wrap -->
				<!-- NAVIGATION BAR ENDS HERE -->
		
				<span class="w-pet-border"></span>
		
		</div><!-- end of header-wrapper div -->

<!-- ============= HEADER ENDS HERE ============== -->



<!-- ============= CONTAINER STARTS HERE ============== -->
		
        <div id="container">
		
		        <!-- WEBSITE SEARCH STARTS HERE -->    	
				<div class="top-search clearfix">
						<h3 class="head-pet"><span><?php _e('Recipe Search', 'FoodRecipe');?></span></h3>
						<form action="<?php echo home_url(); ?>" id="searchform">
								<p>
										<input type="text" name="s" id="s" class="field" value="<?php _e('Search for', 'FoodRecipe');?>" />
										<input type="submit" name="s_submit" id="s-submit" value="" />
								</p>
						</form>
						<p class="statement"><span class="fireRed"><?php _e('Recipe Types', 'FoodRecipe');?>:</span>
                        		<?php
									$terms = get_terms("recipe_type");
									
									$count = count($terms);
									
									if ( $count > 0 ){
											/*if($count > 5)
												$the_limit = 5;
											else*/
											$the_limit = $count;
											foreach ( $terms as $term ) {
												?>
													<a href="<?php echo get_term_link($term->slug, 'recipe_type'); ?>"><?php echo $term->name; ?></a>
												<?php
												$the_limit--;
												if($the_limit < 1) { break; } else { echo ', '; }
											}
									}
								?>
                        </p>
				</div><!-- end of top-search div-->
                
                        
		        <!-- ============= CONTENT AREA STARTS HERE ============== -->
				<div id="content" class="clearfix">